For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • POSTCreate Applicant: Buildium
        • PUTUpdate Applicant: Buildium
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumApplicants

Get all applicants

GET
/v1/applicants/
GET
/v1/applicants/
$curl https://api.propexo.com/v1/applicants/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "applicant_ext_001",
18 "x_property_id": "property_ext_123",
19 "x_lead_id": null,
20 "x_unit_id_preferred": null,
21 "address_1_alternate": null,
22 "address_1": null,
23 "address_2_alternate": null,
24 "address_2": null,
25 "applications": [
26 {
27 "applicant_id": "clzct7ly60000opoz8kzn17lx",
28 "application_id": "clzct7ly60000opoz8kzn17lx",
29 "status_raw": "lease pending",
30 "status_normalized": "APPROVED",
31 "custom_data": {},
32 "status": null
33 }
34 ],
35 "city_alternate": null,
36 "city": null,
37 "country_alternate": null,
38 "country": null,
39 "custom_data": {},
40 "date_of_birth": null,
41 "email_1": "sally.jones@example.com",
42 "email_2": null,
43 "first_name": "Sally",
44 "last_name": "Jones",
45 "middle_name": null,
46 "notes": null,
47 "phone_1_type": "MOBILE",
48 "phone_1": "(123) 555-1234",
49 "phone_2_type": "FAX",
50 "phone_2": "(123) 555-5678",
51 "state_alternate": null,
52 "state": null,
53 "type_normalized": null,
54 "type_raw": null,
55 "zip_alternate": null,
56 "zip": null,
57 "pets": [
58 {
59 "id": "clwktsp9v000008l31iv218hn",
60 "created_at": "2024-03-21T15:38:08.337Z",
61 "updated_at": "2024-03-22T10:59:45.119Z",
62 "last_seen": "2024-03-22T10:59:45.119Z",
63 "x_id": "pet_ext_789",
64 "age_in_years": 3.5,
65 "breed": "Golden Retriever",
66 "color": "Golden",
67 "gender_raw": "Female",
68 "is_declawed": false,
69 "is_fixed": true,
70 "is_service_animal": false,
71 "is_trained": true,
72 "is_vaccinated": true,
73 "name": "Bella",
74 "notes": "Very friendly and well-behaved",
75 "type": "Dog",
76 "weight_in_pounds": 65,
77 "custom_data": {}
78 }
79 ],
80 "integration_id": "clwh5u07w000508me66sfh3um",
81 "integration_vendor": "BUILDIUM",
82 "property_id": "clwi5xiix000008l6ctdgafyh",
83 "unit_id_preferred": null,
84 "screenings": [
85 {
86 "id": "clwktsp9v000008l31iv218hn",
87 "created_at": "2024-03-21T15:38:08.337Z",
88 "last_seen": "2024-03-22T10:59:45.119Z",
89 "x_id": "screening_ext_321",
90 "status_raw": "Clear",
91 "screening_date": "2024-03-20"
92 }
93 ],
94 "x_unit_id": "unit_ext_456",
95 "x_lease_id": null,
96 "self_reported_income": [
97 {
98 "amount_in_cents": 325000,
99 "amount_raw": "$3,250.00",
100 "type_normalized": null,
101 "type_raw": null
102 }
103 ]
104 }
105 ]
106}
Get all applicants
Was this page helpful?
Previous

Get an applicant by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
email_1stringOptional
The primary email address associated with the applicant
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error